HardLink.OSType (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.fs
Enum HardLink.OSType

    java.lang.Object
      java.lang.Enum<HardLink.OSType>
          org.apache.hadoop.fs.HardLink.OSType

All Implemented Interfaces:
  Serializable, Comparable<HardLink.OSType>

Enclosing class:
  HardLink

    public static enum HardLink.OSType

extends Enum<HardLink.OSType>

Enum Constant Summary
`OS_TYPE_MAC`
`OS_TYPE_SOLARIS`
`OS_TYPE_UNIX`
`OS_TYPE_WINXP`

Method Summary
`static HardLink.OSType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HardLink.OSType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OS_TYPE_UNIX

    public static final HardLink.OSType OS_TYPE_UNIX

### OS_TYPE_WINXP

    public static final HardLink.OSType OS_TYPE_WINXP

### OS_TYPE_SOLARIS

    public static final HardLink.OSType OS_TYPE_SOLARIS

### OS_TYPE_MAC

    public static final HardLink.OSType OS_TYPE_MAC

Method Detail

### values

    public static HardLink.OSType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HardLink.OSType c : HardLink.OSType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HardLink.OSType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation